﻿using System;
using System.Configuration;

namespace Cmdjy
{
    /// <summary>
    /// 网站配置
    /// </summary>
    public static class WebSettings
    {
        /// <summary>
        /// 获取配置的值
        /// </summary>
        /// <param name="key"></param>
        /// <returns></returns>
        public static string GetValue(String key) {
            var val = ConfigurationManager.AppSettings[key];
            return val;
        }
        /// <summary>
        /// 万仕达加密通信用的的加密key
        /// </summary>
        public static string DesKey {
            get => GetValue("DesKey") ?? throw new Exception("必须在web.config文件appSettings节配置DesKey的值");
        }
    }
}